/**
 * 
 */
package test.serlalize;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import cn.superdesk.libs.common.json.JsonUtils;
import cn.superdesk.libs.common.serializer.JavaSerializer;
import cn.superdesk.libs.common.serializer.SerializeUtils;

import test.User;

/**
 * @description
 * @author superdesk
 * @date 2016年12月28日
 */
public class SerliazePerfTest {

	public static void main(String[] args) throws IOException {
		JavaSerializer javaSerializer = new JavaSerializer();
		List<User> users = new ArrayList<>();
		for (int i = 0; i < 10; i++) {
			users.add(new User(i+1000, "user"+i));
		}
		
		byte[] bytes = javaSerializer.serialize(users);
		System.out.println(bytes.length);
		System.out.println(SerializeUtils.serialize(users).length);
		System.out.println(JsonUtils.toJson(users).getBytes().length);
		
		
	}
}
