
package cn.superdesk.libs.mybatis.crud.builder;

/**
 * @author superdesk
 * @description
 * @date 2016年10月25日
 */
public class SqlTemplate {

    public static final String IF_TAG_TEAMPLATE = "<if test=\"%s != null\">%s,</if>";
    public static final String SCRIPT_TEMAPLATE = "<script>%s</script>";
    public static final String TRIM_PREFIX      = "<trim prefix=\"(\" suffix=\")\" suffixOverrides=\",\">\n";
    public static final String TRIM_SUFFIX      = "</trim>";

    public static final String INSERT        = "INSERT INTO %s \n %s \n VALUES \n %s";
    public static final String UPDATE_BY_KEY = "UPDATE %s %s \n WHERE %s = #{%s}";
    public static final String BATCH_INSERT  = "INSERT INTO %s \n %s \n VALUES \n <foreach collection=\"list\" item=\"item\" index=\"index\" separator=\",\">%s</foreach>";

    public static String wrapIfTag(String fieldName, String expr, boolean skip) {
        if (skip) return expr;
        return String.format(IF_TAG_TEAMPLATE, fieldName, expr);
    }
}
