package cn.superdesk.libs.rest.filter;

import cn.superdesk.libs.rest.RequestHeader;

/**
 * @author superdesk
 * @description
 * @date 2016年1月19日
 */
public class RequestHeaderHolder {

    private static ThreadLocal<RequestHeader> holder = new ThreadLocal<>();


    public static void set(RequestHeader rh) {
        holder.set(rh);
    }

    public static void clear() {
        holder.remove();
    }

    public static RequestHeader get() {
        RequestHeader header = holder.get();
        if (header == null) {
            header = new RequestHeader();
            holder.set(header);
        }
        return header;
    }
}
