package cn.superdesk.libs.cache.redis;

import org.springframework.beans.factory.DisposableBean;

/**
 * @author superdesk
 * @description
 * @date 2015年04月23日
 */
public interface JedisProvider<S, B> extends DisposableBean {

    public S get();

    public B getBinary();

    public void release();

    public String mode();

    public String groupName();

}
