package cn.superdesk.libs.common;

public class SuperdeskBaseException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	private int code;
	
	public SuperdeskBaseException() {
		super();
	}

	public SuperdeskBaseException(int code, String message) {
		super(message);
		this.code = code;
	}
	
	public SuperdeskBaseException(int code, String message, Throwable cause) {
		super(message, cause);
		this.code = code;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}
	
	

}
