package cn.superdesk.libs.common.serializer;

import java.io.IOException;

/**
 * 对象序列化接口
 *
 * @author superdesk
 * @description
 * @date 2016年12月28日
 */
public interface Serializer {

    public String name();

    public byte[] serialize(Object obj) throws IOException;

    public Object deserialize(byte[] bytes) throws IOException;

}
