/**
 * 
 */
package cn.superdesk.libs.kafka.producer.handler;

import java.io.Closeable;

import cn.superdesk.libs.kafka.message.DefaultMessage;
import org.apache.kafka.clients.producer.RecordMetadata;

/**
 * @description
 * @author superdesk
 * @date 2016年12月10日
 */
public interface ProducerEventHandler extends Closeable{

	public void onSuccessed(String topicName, RecordMetadata metadata);

	public void onError(String topicName, DefaultMessage message);

}
