package cn.superdesk.libs.kafka.serializer;

import java.util.Map;
import org.apache.kafka.common.serialization.Deserializer;
import cn.superdesk.libs.common.serializer.SerializeUtils;

/**
 * @author superdesk
 * @description
 * @date 2016年6月14日
 */
public class KyroMessageDeserializer implements Deserializer<Object> {

    @Override
    public void configure(Map<String, ?> configs, boolean isKey) {
    }

    @Override
    public Object deserialize(String topic, byte[] data) {
        if (data == null)
            return null;
        else
            return SerializeUtils.deserialize(data);
    }

    @Override
    public void close() {
        // nothing to do
    }
}
