package cn.superdesk.libs.mybatis.core;

import cn.superdesk.libs.mybatis.plugin.SuperdeskMybatisInterceptor;
import org.apache.ibatis.plugin.Invocation;

/**
 * mybatis插件拦截处理器接口
 *
 * @author superdesk
 * @description
 * @date 2015年12月7日
 */
public interface InterceptorHandler {

    void start(SuperdeskMybatisInterceptor context);

    void close();

    Object onInterceptor(Invocation invocation) throws Throwable;

    void onFinished(Invocation invocation, Object result);

    int interceptorOrder();


}
