package cn.superdesk.libs.rest.filter;

import cn.superdesk.libs.common.util.ResourceUtils;

/**
 * @author superdesk
 * @description
 * @date 2016年12月25日
 */
public class FilterConfig {

    public static boolean corsEnabled() {
        return Boolean.parseBoolean(ResourceUtils.get("cors.enabled", "false"));
    }

    public static String getCorsAllowOrgin() {
        return ResourceUtils.get("cors.allow.origin", "*");
    }

    public static boolean reqRspLogEnabled() {
        return Boolean.parseBoolean(ResourceUtils.get("reqres.log.enabled", "false"));
    }

    public static boolean apiDocEnabled() {
        return Boolean.parseBoolean(ResourceUtils.get("apidoc.enabled", "true"));
    }
}
