package cn.superdesk.libs.scheduler;

import cn.superdesk.libs.scheduler.model.JobConfig;

/**
 * 配置持久化处理器
 *
 * @author superdesk
 * @description
 * @date 2016年12月16日
 */
public interface ConfigPersistHandler {

    /**
     * 启动时合并配置
     *
     * @param groupName
     * @param jobName
     * @return
     */
    void merge(JobConfig config);

    /**
     * 持久化配置
     *
     * @param config
     */
    void persist(JobConfig config);
}
