/**
 *
 */
package cn.superdesk.libs.scheduler.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @description
 * @author superdesk
 * @date 2015年12月10日
 *
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface ScheduleConf {
    /**
     * 任务名称
     * @return
     */
    String jobName();

    /**
     * 重试次数
     * @return
     */
    int retries() default 0;

    String cronExpr();

    /**
     * 是否启动立即执行一次
     * @return
     */
    boolean executeOnStarted() default false;
}
